package com.tofly.xrtygis.custom.mapper;

import com.tofly.xrtygis.custom.entity.dto.WaterInfoDto;
import com.tofly.xrtygis.entity.Costrlwater;
import org.springframework.data.repository.query.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author 20126
 */
public interface WaterMakingMapper {

    /**
     * 查询单耗信息
     * @param update 修改时间
     * @param mark 标 记
     * @return long
     */
    Long getTableInfo(@Param("update") Date update, @Param("mark") String mark,@Param("table") String table);

    Long getPriceID(@Param("date") Date date);

    /**
     * 模拟纠偏
     */
    List<Map<String,Object>> simulationCorrection(@Param("month") String month);

    List<Map<String,Object>> simulationCorrectionYear(@Param("year") String year);

    Map<String,Object> getMonthPlan(@Param("month") String month);

    Map<String,Object> getMonthPlanYear(@Param("year") String year);

    Long countWater(@Param("month") String month);

    Costrlwater getWaterInfo(@Param("update") Date update,@Param("mark") String mark);

    WaterInfoDto getWaterInfoSum(@Param("date") Date date,@Param("start") String start,@Param("end") String end);


    Costrlwater getWater(@Param("date") Date date,@Param("mark") String mark);
}
